--
-- Generated from mysql2pgsql.perl
-- http://gborg.postgresql.org/project/mysql2psql/
-- (c) 2001 - 2007 Jose M. Duarte, Joseph Speigle
--

-- warnings are printed for drop tables if they do not exist
-- please see http://archives.postgresql.org/pgsql-novice/2004-10/msg00158.php

-- ##############################################################
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
-- MySQL dump 10.13  Distrib 5.7.25, for Linux (x86_64)
--
-- Host: localhost    Database: INFOR_DSDSM
-- ------------------------------------------------------
-- Server version	5.7.25-0ubuntu0.18.04.2

--
-- Table structure for table users
--

--
-- Table structure for table users
--

CREATE TABLE  "users" (
   "username"   varchar(50) NOT NULL, 
   "d_apel"   varchar(50) NOT NULL, 
   "d_email"   varchar(100) NOT NULL , 
   "d_nombre"   varchar(50) NOT NULL, 
   "password"   varchar(50) NOT NULL,
   "enabled" 	boolean NOT NULL,
   primary key ("username"),
 unique ("username","d_email")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

--
-- Table structure for table authorities
--

CREATE TABLE  "authorities" (
   "authority"   varchar(50) NOT NULL, 
   primary key ("authority"),
 unique ("authority") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table user_authorities
--

CREATE TABLE  "user_authorities" (
   "username"   varchar(50) NOT NULL, 
   "authority"   varchar(50) NOT NULL, 
   primary key ("username", "authority")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "user_authorities_authority_idx" ON "user_authorities" USING btree ("authority");
CREATE INDEX "user_authorities_username_idx" ON "user_authorities" USING btree ("username");
ALTER TABLE "user_authorities" ADD FOREIGN KEY ("authority") REFERENCES "authorities" ("authority");
ALTER TABLE "user_authorities" ADD FOREIGN KEY ("username") REFERENCES "users" ("username");

--
-- Table structure for table verification_tokens
--

CREATE TABLE "verification_tokens"(
   "id"   SERIAL NOT NULL,
   "token"	varchar(36) NOT NULL, 
   "username"	varchar(50) NOT NULL, 
   "createdDate"	timestamp NOT NULL,
   "expiryDate"	timestamp NOT NULL,
   primary key ("id")
)
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "verification_tokens_idx" ON "verification_tokens" USING btree ("username");
ALTER TABLE "verification_tokens" ADD FOREIGN KEY ("username") REFERENCES "users" ("username");

--
-- Table structure for table DegreeOfAutomation
--

CREATE TABLE  "degreeofautomation" (
   "degreeofautomation_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("degreeofautomation_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table DesignSmellRelatedActivity
--

CREATE TABLE  "designsmellrelatedactivity" (
   "designsmellrelatedactivity_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("designsmellrelatedactivity_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;


--
-- Table structure for table Approach
--

DROP SEQUENCE "approach_approach_id_seq" CASCADE;

CREATE SEQUENCE "approach_approach_id_seq" START WITH 396 INCREMENT 1;

CREATE TABLE  "approach" (
   "approach_id"   int DEFAULT nextval('approach_approach_id_seq') NOT NULL, 
   "automation_id"   int NOT NULL, 
   "techniques"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "presentexamples"    smallint NOT NULL DEFAULT '0', 
   "mainactivity_id"   int NOT NULL, 
   primary key ("approach_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "approach_automation_id_idx" ON "approach" USING btree ("automation_id");
CREATE INDEX "approach_mainactivity_id_idx" ON "approach" USING btree ("mainactivity_id");
ALTER TABLE "approach" ADD FOREIGN KEY ("automation_id") REFERENCES "degreeofautomation" ("degreeofautomation_id");
ALTER TABLE "approach" ADD FOREIGN KEY ("mainactivity_id") REFERENCES "designsmellrelatedactivity" ("designsmellrelatedactivity_id");

--
-- Table structure for table ApproachDesignSmellRelatedActivity
--

CREATE TABLE  "approachdesignsmellrelatedactivity" (
   "approach_id"   int NOT NULL, 
   "designsmellrelatedactivity_id"   int NOT NULL, 
   primary key ("approach_id", "designsmellrelatedactivity_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "achdesignsmellrelatedactivity_designsmellrelatedactivity_id_idx" ON "approachdesignsmellrelatedactivity" USING btree ("designsmellrelatedactivity_id");
ALTER TABLE "approachdesignsmellrelatedactivity" ADD FOREIGN KEY ("approach_id") REFERENCES "approach" ("approach_id");
ALTER TABLE "approachdesignsmellrelatedactivity" ADD FOREIGN KEY ("designsmellrelatedactivity_id") REFERENCES "designsmellrelatedactivity" ("designsmellrelatedactivity_id");

--
-- Table structure for table TypeOfApproach
--

CREATE TABLE  "typeofapproach" (
   "typeofapproach_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("typeofapproach_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ApproachTypeOfApproach
--

CREATE TABLE  "approachtypeofapproach" (
   "approach_id"   int NOT NULL, 
   "typeofapproach_id"   int NOT NULL, 
   primary key ("approach_id", "typeofapproach_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "approachtypeofapproach_typeofapproach_id_idx" ON "approachtypeofapproach" USING btree ("typeofapproach_id");
ALTER TABLE "approachtypeofapproach" ADD FOREIGN KEY ("approach_id") REFERENCES "approach" ("approach_id");
ALTER TABLE "approachtypeofapproach" ADD FOREIGN KEY ("typeofapproach_id") REFERENCES "typeofapproach" ("typeofapproach_id");

--
-- Table structure for table TypeOfArtefact
--

CREATE TABLE  "typeofartefact" (
   "typeofartefact_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("typeofartefact_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ApproachTypeOfArtefact
--

CREATE TABLE  "approachtypeofartefact" (
   "approach_id"   int NOT NULL, 
   "typeofartefact_id"   int NOT NULL, 
   primary key ("approach_id", "typeofartefact_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "approachtypeofartefact_typeofartefact_id_idx" ON "approachtypeofartefact" USING btree ("typeofartefact_id");
ALTER TABLE "approachtypeofartefact" ADD FOREIGN KEY ("approach_id") REFERENCES "approach" ("approach_id");
ALTER TABLE "approachtypeofartefact" ADD FOREIGN KEY ("typeofartefact_id") REFERENCES "typeofartefact" ("typeofartefact_id");

--
-- Table structure for table Publication
--

DROP SEQUENCE "publication_publication_id_seq" CASCADE;

CREATE SEQUENCE "publication_publication_id_seq" START WITH 197 INCREMENT 1;

CREATE TABLE  "publication" (
   "publication_id"   int DEFAULT nextval('publication_publication_id_seq') NOT NULL, 
   "acronym"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "fullname"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "publisher"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "series"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   primary key ("publication_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table PublicationType
--

CREATE TABLE  "publicationtype" (
   "publicationtype_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("publicationtype_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table Article
--

DROP SEQUENCE "article_article_id_seq" CASCADE;

CREATE SEQUENCE "article_article_id_seq" START WITH 396 INCREMENT 1;

CREATE TABLE  "article" (
   "article_id"   int DEFAULT nextval('article_article_id_seq') NOT NULL, 
   "title"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "year"   int DEFAULT NULL, 
   "publicationtype_id"   int NOT NULL, 
   "publication_id"   int NOT NULL, 
   "approach_id"   int NOT NULL, 
   primary key ("article_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "article_publication_id_idx" ON "article" USING btree ("publication_id");
CREATE INDEX "article_publicationtype_id_idx" ON "article" USING btree ("publicationtype_id");
CREATE INDEX "article_approach_id_idx" ON "article" USING btree ("approach_id");
ALTER TABLE "article" ADD FOREIGN KEY ("publication_id") REFERENCES "publication" ("publication_id");
ALTER TABLE "article" ADD FOREIGN KEY ("publicationtype_id") REFERENCES "publicationtype" ("publicationtype_id");
ALTER TABLE "article" ADD FOREIGN KEY ("approach_id") REFERENCES "approach" ("approach_id");

--
-- Table structure for table Smell
--

DROP SEQUENCE "smell_smell_id_seq" CASCADE;

CREATE SEQUENCE "smell_smell_id_seq" START WITH 664 INCREMENT 1;

CREATE TABLE  "smell" (
   "smell_id"   int DEFAULT nextval('smell_smell_id_seq') NOT NULL, 
   "name"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "description"   varchar NOT NULL DEFAULT 'NO DATA', 
   primary key ("smell_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ArticleSmell
--

CREATE TABLE  "articlesmell" (
   "article_id"   int NOT NULL, 
   "smell_id"   int NOT NULL, 
   primary key ("article_id", "smell_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "articlesmell_smell_id_idx" ON "articlesmell" USING btree ("smell_id");
ALTER TABLE "articlesmell" ADD FOREIGN KEY ("article_id") REFERENCES "article" ("article_id");
ALTER TABLE "articlesmell" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");

--
-- Table structure for table Tool
--

DROP SEQUENCE "tool_tool_id_seq" CASCADE;

CREATE SEQUENCE "tool_tool_id_seq" START WITH 149 INCREMENT 1;

CREATE TABLE  "tool" (
   "tool_id"   int DEFAULT nextval('tool_tool_id_seq') NOT NULL, 
   "name"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "url"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "isfree"    smallint NOT NULL DEFAULT '0', 
   "isopensource"    smallint NOT NULL DEFAULT '0', 
   "automation_id"   int NOT NULL, 
   primary key ("tool_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "tool_automation_id_idx" ON "tool" USING btree ("automation_id");
ALTER TABLE "tool" ADD FOREIGN KEY ("automation_id") REFERENCES "degreeofautomation" ("degreeofautomation_id");

--
-- Table structure for table KindOfPresence
--

CREATE TABLE  "kindofpresence" (
   "kindofpresence_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("kindofpresence_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ArticleTool
--

CREATE TABLE  "articletool" (
   "article_id"   int NOT NULL, 
   "tool_id"   int NOT NULL, 
   "kind_id"   int NOT NULL, 
   primary key ("article_id", "tool_id", "kind_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "articletool_tool_id_idx" ON "articletool" USING btree ("tool_id");
CREATE INDEX "articletool_kind_id_idx" ON "articletool" USING btree ("kind_id");
ALTER TABLE "articletool" ADD FOREIGN KEY ("article_id") REFERENCES "article" ("article_id");
ALTER TABLE "articletool" ADD FOREIGN KEY ("tool_id") REFERENCES "tool" ("tool_id");
ALTER TABLE "articletool" ADD FOREIGN KEY ("kind_id") REFERENCES "kindofpresence" ("kindofpresence_id");

--
-- Table structure for table Author
--

DROP SEQUENCE "author_author_id_seq" CASCADE;

CREATE SEQUENCE "author_author_id_seq" START WITH 740 INCREMENT 1;

CREATE TABLE  "author" (
   "author_id"   int DEFAULT nextval('author_author_id_seq') NOT NULL, 
   "surname"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "name"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "email"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   primary key ("author_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table Institution
--

DROP SEQUENCE "institution_institution_id_seq" CASCADE;

CREATE SEQUENCE "institution_institution_id_seq" START WITH 292 INCREMENT 1;

CREATE TABLE  "institution" (
   "institution_id"   int DEFAULT nextval('institution_institution_id_seq') NOT NULL,
   "fullname"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "acronym"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "country"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "isacademic"    smallint NOT NULL DEFAULT '0', 
   primary key ("institution_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table AuthorInstitution
--

CREATE TABLE  "authorinstitution" (
   "article_id"   int NOT NULL, 
   "author_id"   int NOT NULL, 
   "institution_id"   int NOT NULL, 
   primary key ("article_id", "author_id", "institution_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "authorinstitution_author_id_idx" ON "authorinstitution" USING btree ("author_id");
CREATE INDEX "authorinstitution_institution_id_idx" ON "authorinstitution" USING btree ("institution_id");
ALTER TABLE "authorinstitution" ADD FOREIGN KEY ("article_id") REFERENCES "article" ("article_id");
ALTER TABLE "authorinstitution" ADD FOREIGN KEY ("author_id") REFERENCES "author" ("author_id");
ALTER TABLE "authorinstitution" ADD FOREIGN KEY ("institution_id") REFERENCES "institution" ("institution_id");

--
-- Table structure for table BookOrBookChapter
--

CREATE TABLE  "bookorbookchapter" (
   "bookorbookchapter_id"   int NOT NULL, 
   "chapter"   int DEFAULT NULL, 
   "editor"   varchar(255) NOT NULL DEFAULT E'NO DATA', 
   primary key ("bookorbookchapter_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
ALTER TABLE "bookorbookchapter" ADD FOREIGN KEY ("bookorbookchapter_id") REFERENCES "article" ("article_id");

--
-- Table structure for table InProceedings
--

CREATE TABLE  "inproceedings" (
   "inproceedings_id"   int NOT NULL, 
   "organization"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "address"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   primary key ("inproceedings_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
ALTER TABLE "inproceedings" ADD FOREIGN KEY ("inproceedings_id") REFERENCES "article" ("article_id");

--
-- Table structure for table IndicatorType
--

CREATE TABLE  "indicatortype" (
   "indicatortype_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("indicatortype_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table JournalArticle
--

CREATE TABLE  "journalarticle" (
   "journalarticle_id"   int NOT NULL, 
   "volumen"   int DEFAULT NULL, 
   "number"   int DEFAULT NULL, 
   primary key ("journalarticle_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
ALTER TABLE "journalarticle" ADD FOREIGN KEY ("journalarticle_id") REFERENCES "article" ("article_id");

--
-- Table structure for table KindOfImpact
--

CREATE TABLE  "kindofimpact" (
   "kindofimpact_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("kindofimpact_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table Language
--

CREATE TABLE  "language" (
   "language_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("language_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table TypeOfStudy
--

CREATE TABLE  "typeofstudy" (
   "typeofstudy_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("typeofstudy_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ValidationEvidence
--

DROP SEQUENCE "validationevidence_validationevidence_id_seq" CASCADE;

CREATE SEQUENCE "validationevidence_validationevidence_id_seq" START WITH 404 INCREMENT 1;

CREATE TABLE  "validationevidence" (
   "validationevidence_id"   int DEFAULT nextval('validationevidence_validationevidence_id_seq') NOT NULL, 
   "type_id"   int NOT NULL, 
   "isreplication"    smallint NOT NULL DEFAULT '0', 
   "article_id"   int NOT NULL, 
   primary key ("validationevidence_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
CREATE INDEX "validationevidence_type_id_idx" ON "validationevidence" USING btree ("type_id");
CREATE INDEX "validationevidence_article_id_idx" ON "validationevidence" USING btree ("article_id");
ALTER TABLE "validationevidence" ADD FOREIGN KEY ("type_id") REFERENCES "typeofstudy" ("typeofstudy_id");
ALTER TABLE "validationevidence" ADD FOREIGN KEY ("article_id") REFERENCES "article" ("article_id");

--
-- Table structure for table Measure
--

DROP SEQUENCE "measure_measure_id_seq" CASCADE;

CREATE SEQUENCE "measure_measure_id_seq" START WITH 1564 INCREMENT 1;

CREATE TABLE  "measure" (
   "measure_id"   int DEFAULT nextval('measure_measure_id_seq') NOT NULL, 
   "reportedvalue"   double precision DEFAULT NULL, 
   "typemeasure_id"   int DEFAULT NULL, 
   "validationevidence_id"   int NOT NULL, 
   primary key ("measure_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "measure_typemeasure_id_idx" ON "measure" USING btree ("typemeasure_id");
CREATE INDEX "measure_validationevidence_id_idx" ON "measure" USING btree ("validationevidence_id");
ALTER TABLE "measure" ADD FOREIGN KEY ("typemeasure_id") REFERENCES "indicatortype" ("indicatortype_id");
ALTER TABLE "measure" ADD FOREIGN KEY ("validationevidence_id") REFERENCES "validationevidence" ("validationevidence_id");

--
-- Table structure for table Repository
--

CREATE TABLE  "repository" (
   "repository_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("repository_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table Project
--

DROP SEQUENCE "project_project_id_seq" CASCADE;

CREATE SEQUENCE "project_project_id_seq" START WITH 1209 INCREMENT 1;

CREATE TABLE  "project" (
   "project_id"   int DEFAULT nextval('project_project_id_seq') NOT NULL, 
   "name"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "version"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "url"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "isopensource"    smallint NOT NULL DEFAULT '0', 
   "availableat_id"   int NOT NULL, 
   "mainlanguage_id"   int NOT NULL, 
   "sizeinloc"   int DEFAULT NULL, 
   "numberofclasses"   int DEFAULT NULL, 
   primary key ("project_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "project_availableat_id_idx" ON "project" USING btree ("availableat_id");
CREATE INDEX "project_mainlanguage_id_idx" ON "project" USING btree ("mainlanguage_id");
ALTER TABLE "project" ADD FOREIGN KEY ("availableat_id") REFERENCES "repository" ("repository_id");
ALTER TABLE "project" ADD FOREIGN KEY ("mainlanguage_id") REFERENCES "language" ("language_id");

--
-- Table structure for table ProjectSmell
--

CREATE TABLE  "projectsmell" (
   "smell_id"   int NOT NULL, 
   "project_id"   int NOT NULL, 
   "absolutefrequency"   int NOT NULL, 
   primary key ("smell_id", "project_id", "absolutefrequency")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "projectsmell_project_id_idx" ON "projectsmell" USING btree ("project_id");
ALTER TABLE "projectsmell" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");
ALTER TABLE "projectsmell" ADD FOREIGN KEY ("project_id") REFERENCES "project" ("project_id");

--
-- Table structure for table ProjectVEvidence
--

CREATE TABLE  "projectvevidence" (
   "project_id"   int NOT NULL, 
   "validationevidence_id"   int NOT NULL, 
   primary key ("project_id", "validationevidence_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "projectvevidence_validationevidence_id_idx" ON "projectvevidence" USING btree ("validationevidence_id");
ALTER TABLE "projectvevidence" ADD FOREIGN KEY ("project_id") REFERENCES "project" ("project_id");
ALTER TABLE "projectvevidence" ADD FOREIGN KEY ("validationevidence_id") REFERENCES "validationevidence" ("validationevidence_id");

--
-- Table structure for table QualityFactor
--

DROP SEQUENCE "qualityfactor_qualityfactor_id_seq" CASCADE;

CREATE SEQUENCE "qualityfactor_qualityfactor_id_seq" START WITH 22 INCREMENT 1;

CREATE TABLE  "qualityfactor" (
   "qualityfactor_id"   int DEFAULT nextval('qualityfactor_qualityfactor_id_seq') NOT NULL, 
   "name"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   "qualitymodel"   varchar(255) NOT NULL DEFAULT 'NO DATA', 
   primary key ("qualityfactor_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;


--
-- Table structure for table QFactorSmell
--

CREATE TABLE  "qfactorsmell" (
   "smell_id"   int NOT NULL, 
   "qualityfactor_id"   int NOT NULL, 
   "type_id"   int NOT NULL, 
   primary key ("smell_id", "qualityfactor_id", "type_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "qfactorsmell_qualityfactor_id_idx" ON "qfactorsmell" USING btree ("qualityfactor_id");
CREATE INDEX "qfactorsmell_type_id_idx" ON "qfactorsmell" USING btree ("type_id");
ALTER TABLE "qfactorsmell" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");
ALTER TABLE "qfactorsmell" ADD FOREIGN KEY ("qualityfactor_id") REFERENCES "qualityfactor" ("qualityfactor_id");
ALTER TABLE "qfactorsmell" ADD FOREIGN KEY ("type_id") REFERENCES "kindofimpact" ("kindofimpact_id");

--
-- Table structure for table SmellConcept
--

CREATE TABLE  "smellconcept" (
   "smellconcept_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("smellconcept_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table SmellScope
--

CREATE TABLE  "smellscope" (
   "smellscope_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("smellscope_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table SmellSmellConcept
--

CREATE TABLE  "smellsmellconcept" (
   "smell_id"   int NOT NULL, 
   "smellconcept_id"   int NOT NULL, 
   primary key ("smell_id", "smellconcept_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "smellsmellconcept_smellconcept_id_idx" ON "smellsmellconcept" USING btree ("smellconcept_id");
ALTER TABLE "smellsmellconcept" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");
ALTER TABLE "smellsmellconcept" ADD FOREIGN KEY ("smellconcept_id") REFERENCES "smellconcept" ("smellconcept_id");

--
-- Table structure for table SmellSmellScope
--

CREATE TABLE  "smellsmellscope" (
   "smell_id"   int NOT NULL, 
   "smellscope_id"   int NOT NULL, 
   primary key ("smell_id", "smellscope_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "smellsmellscope_smellscope_id_idx" ON "smellsmellscope" USING btree ("smellscope_id");
ALTER TABLE "smellsmellscope" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");
ALTER TABLE "smellsmellscope" ADD FOREIGN KEY ("smellscope_id") REFERENCES "smellscope" ("smellscope_id");

--
-- Table structure for table SmellTool
--

CREATE TABLE  "smelltool" (
   "smell_id"   int NOT NULL, 
   "tool_id"   int NOT NULL, 
   primary key ("smell_id", "tool_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "smelltool_tool_id_idx" ON "smelltool" USING btree ("tool_id");
ALTER TABLE "smelltool" ADD FOREIGN KEY ("smell_id") REFERENCES "smell" ("smell_id");
ALTER TABLE "smelltool" ADD FOREIGN KEY ("tool_id") REFERENCES "tool" ("tool_id");

--
-- Table structure for table SoftwareRepresentation
--

CREATE TABLE  "softwarerepresentation" (
   "softwarerepresentation_id"   int NOT NULL, 
   "type"   varchar(255) NOT NULL, 
   primary key ("softwarerepresentation_id"),
 unique ("type") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table ToolLanguage
--

CREATE TABLE  "toollanguage" (
   "tool_id"   int NOT NULL, 
   "language_id"   int NOT NULL, 
   primary key ("tool_id", "language_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "toollanguage_language_id_idx" ON "toollanguage" USING btree ("language_id");
ALTER TABLE "toollanguage" ADD FOREIGN KEY ("tool_id") REFERENCES "tool" ("tool_id");
ALTER TABLE "toollanguage" ADD FOREIGN KEY ("language_id") REFERENCES "language" ("language_id");

--
-- Table structure for table ToolSoftwareRepresentation
--

CREATE TABLE  "toolsoftwarerepresentation" (
   "tool_id"   int NOT NULL, 
   "softwarerepresentation_id"   int NOT NULL, 
   primary key ("tool_id", "softwarerepresentation_id")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "toolsoftwarerepresentation_softwarerepresentation_id_idx" ON "toolsoftwarerepresentation" USING btree ("softwarerepresentation_id");
ALTER TABLE "toolsoftwarerepresentation" ADD FOREIGN KEY ("tool_id") REFERENCES "tool" ("tool_id");
ALTER TABLE "toolsoftwarerepresentation" ADD FOREIGN KEY ("softwarerepresentation_id") REFERENCES "softwarerepresentation" ("softwarerepresentation_id");